<div class="field">
  <%= form.label :type, class: 'label' %>
  <div class="control">
    <%= t('activerecord.models.article') %>
    <%= hidden_field_tag :type, 'Article' %>
  </div>
</div>

<div class="field">
  <%= form.label :created_at, class: 'label' %>
  <div class="control">
    <%= l(@post.created_at, format: :long) %>
  </div>
</div>

<div class="field">
  <%= label_tag :status, 'Статус', class: 'label' %>
  <div class="control">
    <%= @post.valid? && @post.published? ? 'Опубликовано' : 'Черновик' %>
  </div>
</div>

<div class="field">
  <%= form.label :published_at, class: 'label' %>
  <div class="control">
    <% if @post.valid? && @post.published? %>
      <%= l(@post.published_at, format: :long) %>
    <% else %>
      <%= form.check_box :published %>
      <%= form.label :published, 'опубликовать' %>
      <%= form.datetime_select :published_at %>
    <% end %>
  </div>
</div>

<%= form.fields_for :thumbnail do |thumb_fields| %>
  <div class="field">
    <%= thumb_fields.label :file, Post.human_attribute_name(:thumbnail), class: 'label' %>
    <% thumb_url = @post.thumbnail.file.attached? && url_for(@post.thumbnail.file) %>
    <%= image_tag thumb_url || '', class: 'thumb', id: 'thumb' %>
    <%= thumb_fields.file_field :file, id: 'thumb-upload' %>
  </div>
<% end %>

<div class="field">
  <%= form.label :title, class: 'label' %>
  <div class="control">
    <%= form.text_field :title, class: 'input' %>
  </div>
</div>

<div class="field">
  <%= form.label :annotation, class: 'label' %>
  <div class="control">
    <%= form.text_field :annotation, class: 'input' %>
  </div>
</div>

<div class="field">
  <%= form.label :body, class: 'label' %>
  <%= form.text_area :body, id: :post_body, style: 'display: none' %>

  <div class="control">
    <%= react_component('Editor', {editorKey: @post.id, placeholder: 'Чем хотите поделиться сегодня?'}, prerender: true) %>
  </div>
</div>
